/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __CONSTANT_EVALUATION_CPP
#define __CONSTANT_EVALUATION_CPP 0

#include "blade-config.h"
#include <string>
#include <sstream>

#include "ConstantEvaluation.h"



// using namespace cube;
using namespace std;

ConstantEvaluation::ConstantEvaluation( double _const ) : NullaryEvaluation()
{
    constant = _const;
};


ConstantEvaluation::~ConstantEvaluation()
{
}



#endif
