/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __INCLIDE_REGION_NAME_FILTER_RULE_H
#define __INCLIDE_REGION_NAME_FILTER_RULE_H 0

#include "ExcludeRegionNameFilterRule.h"

namespace scorepion_plugin
{
    namespace filters
    {
        class IncludeRegionNameFilterRule : public ExcludeRegionNameFilterRule
        {
        public:
            IncludeRegionNameFilterRule() : ExcludeRegionNameFilterRule() {};
            IncludeRegionNameFilterRule( const std::string & _val) : ExcludeRegionNameFilterRule( _val ) {};
            virtual
            ~IncludeRegionNameFilterRule() {};
            
            
            virtual
            FilterResult
            apply(cube::Vertex * _v) const
            {
                bool result = match_rule( _v );
                return (result)?INCLUDE:NO_MATCH;
            }

        };
    }
 };

#endif
